﻿Type=Class
Version=4.01
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@

'HttpsFilter ist eine Filter-Klasse, die Anfragen, die auf den http-Port eingehen, auf den https-Port weiterleitet.
'Dieser Filter wurde in der Übergangphase der Umstellung von http:// auf https:// genutzt, sollte aber keine größere Relevanz mehr haben.

Sub Class_Globals
	
End Sub

Public Sub Initialize
	
End Sub

'True zurück geben, um die Anfrage weiter zu leiten, wenn sie bereits über den https://-Port rein kommt.
Public Sub Filter(req As ServletRequest, resp As ServletResponse) As Boolean
	If req.Secure Then
		Return True
	Else
		Main.Logger.logsWARN("http://-Anfrage auf Port " & Main.srvr.Port & " wird umgeleitet auf SSL-Port " & Main.srvr.SslPort)
		resp.SendRedirect(req.FullRequestURI.Replace("http:", "https:").Replace(Main.srvr.Port, Main.srvr.SslPort))
		Return False
	End If
End Sub